// Replace with your WiFI credentials
const char* wifiSSID     = "mySSID";
const char* wifiPassword = "myPassword";

/**
   Replace MY_KEY with your personal API key from openweathermap.org
   (see: https://home.openweathermap.org/users/sign_up)

   Replace CITY_ID with the Id of your desired location
   (see: http://bulk.openweathermap.org/sample/)
*/
const char* weatherUrl = "http://api.openweathermap.org/data/2.5/weather?id=CITY_ID&appid=MY_KEY&units=metric";

#define CHECK_INTERVAL 60  // in minutes

#define lmillis() ((long)millis())

typedef struct {
  int id;
  uint8_t red;
  uint8_t green;
  uint8_t blue;
} colorMapping;

#define WEATHER_CONDITION_AMOUNT 55
const colorMapping weatherConditions[WEATHER_CONDITION_AMOUNT] = {
  {200, 0, 30, 160}, // thunderstorm with light rain
  {201, 0, 30, 160}, // thunderstorm with rain
  {202, 20, 0, 180}, // thunderstorm with heavy rain
  {210, 0, 30, 160}, // light thunderstorm
  {211, 0, 30, 160}, // thunderstorm
  {212, 20, 0, 180}, // heavy thunderstorm
  {221, 20, 0, 180}, // ragged thunderstorm
  {230, 0, 30, 160}, // thunderstorm with light drizzle
  {231, 0, 30, 160}, // thunderstorm with drizzle
  {232, 0, 30, 160}, // thunderstorm with heavy drizzle

  {300, 0, 60, 120}, // light intensity drizzle
  {301, 0, 60, 120}, // drizzle
  {302, 0, 40, 140}, // heavy intensity drizzle
  {310, 0, 60, 120}, // light intensity drizzle rain
  {311, 0, 40, 140}, // drizzle rain
  {312, 0, 40, 140}, // heavy intensity drizzle rain
  {313, 0, 60, 120}, // shower rain and drizzle
  {314, 0, 40, 140}, // heavy shower rain and drizzle
  {321, 0, 40, 140}, // shower drizzle

  {500, 0, 60, 120}, // light rain
  {501, 0, 40, 140}, // moderate rain
  {502, 0, 40, 140}, // heavy intensity rain
  {503, 0, 20, 160}, // very heavy rain
  {504, 0, 20, 160}, // extreme rain
  {511, 0, 20, 160}, // freezing rain
  {520, 0, 60, 120}, // light intensity shower rain
  {521, 0, 60, 120}, // shower rain
  {522, 0, 40, 140}, // heavy intensity shower rain
  {531, 0, 20, 160}, // ragged shower rain

  {600, 90, 100, 150}, // light snow
  {601, 90, 100, 150}, // Snow
  {602, 90, 100, 150}, // Heavy snow
  {611, 90, 100, 150}, // Sleet
  {612, 90, 100, 150}, // Light shower sleet
  {613, 90, 100, 150}, // Shower sleet
  {615, 90, 100, 150}, // Light rain and snow
  {616, 90, 100, 150}, // Rain and snow
  {620, 90, 100, 150}, // Light shower snow
  {621, 90, 100, 150}, // Shower snow
  {622, 90, 100, 150}, // Heavy shower snow

  {701, 25, 45, 55}, // mist
  {711, 55, 40, 30}, // Smoke
  {721, 45, 45, 55}, // Haze
  {731, 45, 35, 20}, // sand/ dust whirls
  {741, 45, 45, 55}, // fog
  {751, 45, 35, 20}, // sand
  {761, 45, 43, 35}, // dust
  {762, 18, 16, 15}, // volcanic ash
  {771, 40, 55, 45}, // squalls
  {781, 35, 65, 140}, // tornado

  {800, 0, 75, 150}, // clear sky

  {801, 25, 65, 40}, // few clouds: 11-25%
  {802, 40, 75, 90}, // scattered clouds: 25-50%
  {803, 30, 55, 75}, // broken clouds: 51-84%
  {804, 30, 55, 75}  // overcast clouds: 85-100%
};

#define LED_PIN  13
#define NUM_LEDS 3
